unit untPrincipal;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.Menus, Vcl.ComCtrls;

type
  TfrmPrincipal = class(TForm)
    MainMenu1: TMainMenu;
    Cadastros1: TMenuItem;
    Country1: TMenuItem;
    Department1: TMenuItem;
    N1: TMenuItem;
    Sair1: TMenuItem;
    PageControl1: TPageControl;
    procedure Country1Click(Sender: TObject);
    procedure Department1Click(Sender: TObject);
    procedure Sair1Click(Sender: TObject);
  private
    { Private declarations }
    procedure AbrirComoAba(const Form: TForm; const PageControl: TPageControl);
  public
    { Public declarations }
  end;

var
  frmPrincipal: TfrmPrincipal;

implementation

{$R *.dfm}

uses untCadCountry, untCadDepartment;

procedure TfrmPrincipal.AbrirComoAba(const Form: TForm;
  const PageControl: TPageControl);
var
  TabSheet: TTabSheet;
begin
  //cria uma nova TabSheet no PageControl
  TabSheet := TTabSheet.Create(PageControl);
  TabSheet.PageControl := PageControl;
  TabSheet.Caption := Form.Caption;

  //define algumas propriedades do Form
  Form.BorderStyle := bsNone;
  Form.Align := alClient;

  //atribui a TabSheet criada como sendo o Parent do Form
  Form.Parent := TabSheet;

  //mostra o Form
  Form.Show;
end;

procedure TfrmPrincipal.Country1Click(Sender: TObject);
begin
  //chamada SDI
  //frmCadCountry.ShowModal;

  AbrirComoAba(frmCadCountry, PageControl1);
end;

procedure TfrmPrincipal.Department1Click(Sender: TObject);
begin
  //chamada SDI
  //frmCadDepartment.ShowModal;

  AbrirComoAba(frmCadDepartment, PageControl1);
end;

procedure TfrmPrincipal.Sair1Click(Sender: TObject);
begin
  Close;
end;

end.
