﻿namespace Reflection;

interface

uses
  System.Drawing,
  System.Collections,
  System.Collections.Generic,
  System.Windows.Forms,
  System.ComponentModel,
  System.Reflection;

type
  /// <summary>
  /// Summary description for MainForm.
  /// </summary>
  MainForm = partial class(System.Windows.Forms.Form)
  private
      method MainForm_Load(sender: System.Object; e: System.EventArgs);
      method button1_Click(sender: System.Object; e: System.EventArgs);
      method button2_Click(sender: System.Object; e: System.EventArgs);
  protected
    method Dispose(disposing: Boolean); override;
  public
    constructor;
    method Cadastro(csT : csTeste);
  end;

implementation

{$REGION Construction and Disposition}
constructor MainForm;
begin
  //
  // Required for Windows Form Designer support
  //
  InitializeComponent();

  //
  // TODO: Add any constructor code after InitializeComponent call
  //
end;

method MainForm.Dispose(disposing: Boolean);
begin
  if disposing then begin
    if assigned(components) then
      components.Dispose();

    //
    // TODO: Add custom disposition code here
    //
  end;
  inherited Dispose(disposing);
end;
{$ENDREGION}

method MainForm.MainForm_Load(sender: System.Object; e: System.EventArgs);
begin
end;

method MainForm.button1_Click(sender: System.Object; e: System.EventArgs);
begin
   var csT : csTeste; //Declaração da classe com os metodos e propriedades
   csT := new csTeste; //Instanciando a classe
   Cadastro(csT);
end;

method MainForm.Cadastro(csT : csTeste);
begin
   var tDado : System.Type; //Declaração da variavel do tipo Type responsavel pelos valores de tipo dos membros da classe
   tDado := csT.GetType; //Pegando todos os tipos dos membros da classe

   var mInfo : array of MemberInfo; //Declarando um array do tipo MemberInfo
   mInfo := csT.GetType().GetMembers(BindingFlags.Public or BindingFlags.Instance or BindingFlags.SetField); //Buscando os membros da classe
   var mCs : MemberInfo;//Declaração da variavel de tipo MemberInfo responsavel pelos valores dos membros da classe

   for each mCs in mInfo do //Realizando um array dos membros da classe
   begin
       if mCs.Name = "nome" then //Verificando um nome de uma propriedade
       begin
           var objInc : array[0..0] of Object; //Criando um array do tipo object necessário para os valores que vão ser carregados nas propriedades da classe
           objInc[0] := textBox1.Text;//Incluindo valores para teste no array com objetos
           tDado.InvokeMember(mCs.Name, BindingFlags.SetField, nil , csT, objInc, System.Globalization.CultureInfo.CurrentCulture);//Invocando o membro e preenchendo
           //com os valores inseridos

           textBox2.Text := csT.nome; //Verificando o valor da classe
       end;
   end;

end;

method MainForm.button2_Click(sender: System.Object; e: System.EventArgs);
begin
    var csTst: csTeste; //Instanciando a classe ou dll que contém o metodo
    csTst := new csTeste;

    var tDado : System.Type; //Declaração da variavel do tipo Type responsavel pelos valores de tipo dos membros da classe
    tDado := csTst.GetType();//Pegando os dados da classe
    var mInfo: array of MethodInfo;//Declarando um array que servira para recepcionar os metodos contidos na classe
    mInfo := tDado.GetMethods();//Buscando todos os metodos da classe
    var mRetorno : MethodInfo;

    for each mRetorno in mInfo do //Varre o array que possui todos os metodos encontrados na classe
    begin
        if mRetorno.Name.Contains("Mensagem") then //Verifica se existe algo com o nome mensagem, não é obrigatorio porém queria mostrar a utilização da propriedade nome
        begin
            var aPar: array[0..0] of Object; //Criando um array de objetos que sera para enviar os parametros
            aPar[0] := "Alo Mundo"; //Incluindo parametro no array
            
            var objRetorno : Object; //Recebera o retorno do metodo
            objRetorno := tDado.InvokeMember(mRetorno.Name, BindingFlags.InvokeMethod, nil, csTst, aPar); //Utilizando o invoke para chamar o metodos e retornar o result

            MessageBox.Show(objRetorno.ToString());//Exibindo em mensagem o retorno do metodo
        end;
    end;
end;

end.
