unit untDM;

interface

uses
  System.SysUtils, System.Classes, Data.DBXFirebird, Data.DB, Data.SqlExpr,
  Data.FMTBcd, Datasnap.Provider, Datasnap.DBClient;

type
  TDM = class(TDataModule)
    EmployeeFirebird: TSQLConnection;
    COUNTRY: TSQLDataSet;
    DEPARTMENT: TSQLDataSet;
    cdsCountry: TClientDataSet;
    dspCountry: TDataSetProvider;
    dspDepartment: TDataSetProvider;
    cdsDepartment: TClientDataSet;
    cdsCountryCOUNTRY: TStringField;
    cdsCountryCURRENCY: TStringField;
    cdsDepartmentDEPT_NO: TStringField;
    cdsDepartmentDEPARTMENT: TStringField;
    cdsDepartmentHEAD_DEPT: TStringField;
    cdsDepartmentMNGR_NO: TSmallintField;
    cdsDepartmentBUDGET: TFMTBCDField;
    cdsDepartmentLOCATION: TStringField;
    cdsDepartmentPHONE_NO: TStringField;
    procedure DataModuleCreate(Sender: TObject);
    procedure DataModuleDestroy(Sender: TObject);
    procedure cdsCountryAfterPost(DataSet: TDataSet);
    procedure cdsDepartmentAfterPost(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DM: TDM;

implementation

{%CLASSGROUP 'System.Classes.TPersistent'}

{$R *.dfm}

procedure TDM.cdsCountryAfterPost(DataSet: TDataSet);
begin
  cdsCountry.ApplyUpdates(0);
end;

procedure TDM.cdsDepartmentAfterPost(DataSet: TDataSet);
begin
  cdsDepartment.ApplyUpdates(0);
end;

procedure TDM.DataModuleCreate(Sender: TObject);
begin
  EmployeeFirebird.Connected := True;
end;

procedure TDM.DataModuleDestroy(Sender: TObject);
begin
  EmployeeFirebird.Connected := False;
end;

end.
